function val = BC(x, y)

    % Boundary conditions corresponding to the heat transfer
    % problem in B673, Spring 2017
    
    if (abs(y) < eps)
        val = sin(4*pi*(x - 0.5));
    elseif (abs(y-1) < eps)
        val = cos(4*pi*(x - 0.5));
    elseif (abs(x-1) < eps)
        val = 0.5;
    else
        val = y;
    end
    
return
